@import url("https://fonts.googleapis.com/css2?family=IBM+Plex+Sans:wght@300;400;500&family=Open+Sans:wght@300;400;500;600;700;800&display=swap");

html {
  font-size: 14px;
  height: 100%;
  width: 100%;
}
html body {
  height: 100%;
  background-color: #f4f5fa;
  direction: ltr;
}

:root {
  --main-dark-color1: #405369;
  --main-light-color: #fafafa;
  --main-gradient-start-color: #6dc49b;
  --main-gradient-end-color: #19bfd3;
  --main-gradient-color: linear-gradient(to right, #6dc49b, #19bfd3);
  --main-contrast-color: #f25cbe;
  --main-contrast-color-light: #f5c2e4;

  --background-dark-color: #374659;
  --background-light-color: #f8fbfc;
  --background-highlight-color: #def2f5;
  --complementary-color1: #f4f5fa;
  --complementary-color2: #cec9ae;
  --light-yellow-color: rgba(243, 238, 194, 0.4);
  --complementary-color3: #6b6f82;
  --blue-color: #024ea5;
  --light-blue: #def2f5;
  --light-purple: #838cc1;
  --light-blue-color: #e2efff;
  --tufts-blue: #4091e9;

  --warning-color: #c65c5c;
  --danger-color: #b9625f;
  --success-color: #68c781;

  --orange: #e4973d;

  --purple: #9062ed;
  --green: #cef2db;
  --light-gray: #e6e6e6;
  --gray: #e2e2e2;
  --dark-gray: #a9a9a9;

  /*Fonts*/
  --font-family: "Open Sans", sans-serif;
  --font-weight: 400;

  --cropper-overlay-color: rgba(107, 111, 130, 0.7);
  --cropper-outline-color: rgba(107, 111, 130, 0.7);

  /*To Be defined*/
  --success-color: rgb(57, 202, 122);
  --info-color: lightgray;
  --light-color: white;
  --dark-color: black;
  --main-color: #405369;

  --seconday-button-color: #e0e0e0;
  --unreadStatus: #e4edef;

  --purple2: #7584ec;
  --blue-color-2: #e2efff;

  --app-header-footer-height: 3rem;
  --pages-header-footer-height: 3rem;
  --page-height-minus-app-header-footer: calc(100vh - var(--app-header-footer-height) - 0.5rem);
  --page-content-minus-1-page-header-footer: calc(var(--page-height-minus-app-header-footer) - var(--pages-header-footer-height));
  --page-content-minus-2-page-header-footer: calc(var(--page-height-minus-app-header-footer) - 2 * var(--pages-header-footer-height));
  --page-content-minus-3-page-header-footer: calc(var(--page-height-minus-app-header-footer) - 3 * var(--pages-header-footer-height));
  --page-content-minus-4-page-header-footer: calc(var(--page-height-minus-app-header-footer) - 4 * var(--pages-header-footer-height));
  --page-content-minus-5-page-header-footer: calc(var(--page-height-minus-app-header-footer) - 5 * var(--pages-header-footer-height));
  --page-content-minus-6-page-header-footer: calc(var(--page-height-minus-app-header-footer) - 6 * var(--pages-header-footer-height));
  --page-content-minus-7-page-header-footer: calc(var(--page-height-minus-app-header-footer) - 7 * var(--pages-header-footer-height));
  
}

body {
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.75;
  font-family: var(--font-family);
}
h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: var(--font-family);
  font-weight: 400 !important;
  color: var(--main-dark-color1) !important;
}
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
  font-family: var(--font-family);
  font-weight: 500 !important;
  color: var(--main-dark-color1) !important;
}
p {
  font-family: var(--font-family);
  font-weight: 400;
  color: var(--main-dark-color1) !important;
}
i {
  font-family: var(--font-family);
  font-weight: 400;
}
.card .card-title {
  font-family: var(--font-family);
  font-weight: var(--font-weight);
}
/*------------Navigation------------------*/
.navigation {
  font-family: var(--font-family);
  font-weight: var(--font-weight);
}

/*---------------Alerts-------------------*/
.alert {
  border-radius: 2px;
  display: inherit;
  padding: 1rem;
}

.alert-warning {
  color: var(--main-dark-color);
  background-color: var(--orange);
  border-color: var(--orange);
}
/*-------------- Buttons----------------- */
.btn {
  padding: 0.5rem 0.75rem;
  font-family: var(--font-family);
  font-size: 1rem;
  font-weight: 400;
}

.btn-info {
  border-color: var(--main-gradient-end-color) !important;
  background-color: var(--main-gradient-end-color) !important;
  color: var(--main-light-color);
}
.btn-info:hover {
  background-color: var(--main-gradient-end-color) !important;
  border-color: var(--main-gradient-end-color) !important;
}
.btn-info:focus,
.btn-info:active {
  border-color: var(--main-gradient-end-color) !important;
  background-color: var(--main-gradient-end-color) !important;
  color: var(--main-light-color);
}
.btn-info.btn-glow {
  box-shadow: 0px 1px 20px 1px rgba(30, 159, 242, 0.6);
}

.btn-outline-info {
  color: var(--main-gradient-end-color);
  border-color: var(--main-gradient-end-color);
  font-family: var(--font-family);
  font-size: 1rem;
}

.btn-outline-info:hover {
  background-color: var(--main-gradient-end-color);
  border-color: var(--main-gradient-end-color);
  color: var(--main-light-color) !important;
  font-family: var(--font-family);
}

.btn-nav {
  color: var(--main-dark-color1);
  font-weight: var(--font-weight);
  height: 3.5rem;
  margin-top: 0.5rem;
  padding-left: 0.25rem;
  padding-right: 0.25rem;
  border: 0px;
  border-bottom: 1.8px solid var(--background-dark-color) !important;
  border-radius: 0;
}

.btn-nav:hover {
  border-bottom: 1px solid var(--background-dark-color) !important;
  border-radius: 0;
}
.btn-nav:focus,
.btn-nav:active {
  color: var(--main-dark-color1);
}
.btn-nav.btn-glow {
  box-shadow: 0px 1px 20px 1px rgba(30, 159, 242, 0.6);
}

.btn-outline-nav {
  color: var(--main-gradient-end-color);
  border-color: var(--green);
  font-family: var(--font-family);
  font-size: 1rem;
  height: 3.5rem;
  font-weight: 400;
}

.btn-outline-nav:hover {
  background-color: var(--green);
  border-color: var(--green);
  color: var(--main-light-color) !important;
  font-family: var(--font-family);
}

.custom-button {
  min-width: 115px;
  max-width: 115px;
}

.custom-button-color {
  color: var(--main-dark-color1);
}

.button-divider {
  padding-right: 0.3rem;
}

.btn-bare-nav {
  font-family: var(--font-family);
  font-weight: var(--font-weight);
  font-size: 1rem;
  height: 3.5rem;
  margin-top: 0.5rem;
  padding-left: 0.25rem;
  padding-right: 0.25rem;
}

.btn-bare-nav:hover {
  font-family: var(--font-family);
  border-bottom: 1px solid var(--main-dark-color1) !important;
  border-radius: 0;
}

/*--------- Forms------------ */
form .form-group {
  margin-bottom: 0.75rem;
}
/* .form-control {
  height: 2rem;
  font-weight: 500 !important;
  font-family: var(--font-family);
} */
.form-group {
  margin-bottom: 1rem;
}
.action-icon {
  padding: 0.35rem 0.5rem;
  border: 1px solid #e4e5ec;
}
/* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 45px;
  height: 25px;
  margin-right: 5px;
}
/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}
/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}
.slider:before {
  position: absolute;
  content: "";
  height: 20px;
  width: 20px;
  left: 2px;
  bottom: 2px;
  background-color: white;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}
input:checked + .slider {
  background-color: rgb(246, 187, 66);
}
input:focus + .slider {
  box-shadow: 0 0 1px rgb(246, 187, 66);
}
input:checked + .slider:before {
  -webkit-transform: translateX(20px);
  -ms-transform: translateX(20px);
  transform: translateX(20px);
}
/* Rounded sliders */
.slider.round {
  border-radius: 25px;
}
.slider.round:before {
  border-radius: 50%;
}

/* The mini switch - the box around the slider */
.mini-switch {
  position: relative;
  display: inline-block;
  width: 22.5px; /* Half of 45px */
  height: 12.5px; /* Half of 25px */
  margin-right: 5px;
}

/* Hide default HTML checkbox */
.mini-switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The mini slider */
.mini-slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  transition: 0.4s;
}

.mini-slider:before {
  position: absolute;
  content: "";
  height: 10px; /* Half of 20px */
  width: 10px; /* Half of 20px */
  left: 1px; /* Adjusted for smaller size */
  bottom: 1px; /* Adjusted for smaller size */
  background-color: white;
  transition: 0.4s;
}

.mini-switch input:checked + .mini-slider {
  background-color: rgb(246, 187, 66);
}

.mini-switch input:focus + .mini-slider {
  box-shadow: 0 0 1px rgb(246, 187, 66);
}

.mini-switch input:checked + .mini-slider:before {
  transform: translateX(10px); /* Half of 20px */
}

/* Rounded mini sliders */
.mini-slider.round {
  border-radius: 12.5px; /* Half of 25px */
}

.mini-slider.round:before {
  border-radius: 50%;
}

.cropper .move {
  width: 100%;
  cursor: move;
  border: 2px solid var(--cropper-outline-color) !important;
  outline: 2px solid var(--cropper-outline-color) !important;
}

.header-navbar {
  min-height: 3rem;
}

.navbar-wrap {
  height: 2.8rem;
}

.navbar-nav li {
  line-height: 1;
  height: 2rem;
}

.avatar {
  width: 30px;
  height: 30px;
}

.btn-min-width-5 {
  min-width: 5.5rem !important;
}

.btn-min-width-15 {
  min-width: 15rem;
}

.btn-min-width-18 {
  min-width: 18rem;
}

.isResizable {
  margin: auto auto;
  padding: 5px;
  overflow: hidden;
  resize: both;
}

.dropdown .dropdown-menu .dropdown-item {
  padding: 10px 17px;
  width: 100%;
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
}

.rotate-right.dropdown-toggle::after {
  transform: rotate(-90deg);
}

.btn-group .btn-nav #icon-dashboard {
  transition: all 0.1s ease-in-out;
  transform-origin: center;
  transform: scale(1.2);
}

.btn-group .btn-bare-nav #icon-dashboard {
  transition: all 0.1s ease-in-out;
  transform-origin: center;
  transform: scale(0.8);
}

.btn-group .btn-nav #stick {
  animation: stickSet 1s 0s 1 forwards;
  transform-origin: center;
  transform-box: fill-box;
}

/* animates id="icon-dashboard" */
@keyframes stickSet {
  from {
    transform: rotateZ(0deg);
  }

  to {
    transform: rotateZ(270deg);
  }
}

.btn-group .btn-bare-nav #stick {
  animation: stickRev 1s 0s 1 forwards;
  transform-origin: center;
  transform-box: fill-box;
}

/* animates id="icon-dashboard" */
@keyframes stickRev {
  from {
    transform: rotateZ(270deg);
  }

  to {
    transform: rotateZ(0deg);
  }
}

.card-x {
  margin-bottom: 0rem;
}

.card-body-x {
  padding: 0.25rem;
}

.btn-group .btn {
  transition-property: none;
}

.drag.drag-visible {
  transition: all 0.1s ease-in-out;
  transform-origin: center;
  transform: scale(1);
  position: fixed;
  bottom: 40vh;
  right: 0;
  width: 300px;
  border-radius: 15px;
  font-size: 250%;
  width: 5rem;
  height: 15rem;
  border: 1px solid gray;
  top: 50%;
  transform: translateY(-50%);
}

.drag.drag-visible.dragover {
  background: var(--main-dark-color1);
}

.drag.dragover > .delete-icon {
  color: rgb(255, 255, 255);
}

.drag.drag-visible.dragover .delete-icon,
.drag.drag-visible .delete-icon {
  position: relative;
  text-align: center;
  top: 50%;
  transform: translateY(-50%);
}

.drag.drag-invisible {
  display: none;
}

.tooltipClass {
  z-index: 2000 !important;
}

.modal-med {
  max-width: 55% !important;
}

/* class for modal header and action button */
.btn-add,
.primary-button {
  background-color: var(--main-dark-color1) !important;
  color: white !important;
}

.main-modal-header {
  background-color: #405369;
  color: white !important;
  border: none;
}

.main-modal-header h4,
.main-modal-header button {
  color: white !important;
}

.alert-modal-header {
  border-bottom: none;
}

.modal-title {
  display: inline-block !important;
}

.dropdown-menu {
  max-height: 200px;
  overflow-y: auto;
  overflow-x: hidden;
}

.slideInRight1:first-child .modal-content {
  border: none !important;
}

.side-menu {
  width: 3.8rem;
  overflow-y: auto;
  overflow-x: hidden;
  margin: 0 0.25rem 0 0.25rem;
}

.side-menu span {
  white-space: nowrap;
}

.header-footer {
  height: var(--app-header-footer-height);
  background-color: #ffff;
  box-shadow: 1px 0 20px rgba(0, 0, 0, 0.1);
}

.header-button-icon {
  font-size: 2rem !important;
  color: black;
}

/* Classes related to toolbar menus on the left-hand side of pages*/
.page-toolbar-wrapper {
  min-width: 3.8rem;
  overflow-y: auto;
  overflow-x: hidden;
  margin: 0 0.25rem 0 0.25rem;
}

.page-toolbar-wrapper span {
  white-space: nowrap;
}

.page-toolbar-button-group {
  margin: 0 0 0.5rem 0;
}

.page-toolbar-button {
  font-size: 0.69rem !important;
  font-weight: 400 !important;
  background: white;
  border: 0.1rem solid #d8d8d8;
  border-radius: 0.2rem;
  color: var(--main-dark-color1);
  width: 3.8rem !important;
  height: 3.8rem !important;
  padding: 0;
  display: grid;
  align-content: center;
  margin: 0 0 0.25rem 0;
}

.page-toolbar-button:hover {
  background-color: var(--background-highlight-color);
  transition: all 0.5ms ease;
}

.page-toolbar-button span {
  margin: auto !important;
  font-size: 0.69rem !important;
  font-weight: 400 !important;
  color: var(--main-dark-color1);
}

.page-toolbar-dropdown-menu {
  min-width: 15rem !important;
}

.page-toolbar-dropdown-toggle::after {
  content: "" !important;
}

.ng-dropdown-panel .ng-dropdown-panel-items .ng-option {
  padding: 0 !important;
  padding-left: 1rem !important;
}

.badge {
  min-width: 8rem !important;
  cursor: pointer;
}

.badge-green {
  background: transparent !important;
  border: 2px solid var(--success-color);
  color: var(--main-dark-color1) !important;
  border-radius: 3px;
}

.badge-workspace {
  background-color: var(--background-light-color) !important;
  color: var(--main-dark-color1) !important;
  max-width: 5rem !important;
  min-width: 5rem !important;
}

.badge-orange {
  background-color: var(--orange) !important;
  color: white !important;
}

.badge-red {
  background-color: #c65c5c !important;
}

.badge-gray {
  background: transparent !important;
  border: 2px solid var(--gray);
  color: var(--main-dark-color1) !important;
  border-radius: 3px;
}

.badge-turquoise {
  background-color: #5abcd0 !important;
  color: white !important;
}

.badge-black {
  background-color: var(--main-dark-color1) !important;
}

.badge-white {
  color: var(--main-dark-color1) !important;
}

.badge-soft-blue {
  background-color: #666ee8;
}

.badge-purple {
  background: transparent !important;
  border: 2px solid var(--purple);
  color: var(--main-dark-color1);
  border-radius: 3px;
}

.badge-pink {
  background: transparent !important;
  border: 2px solid var(--main-contrast-color);
  color: var(--main-dark-color1);
  border-radius: 3px;
}

.badge-alert {
  background: transparent !important;
  border: 2px solid var(--orange);
  color: var(--main-dark-color1) !important;
  border-radius: 3px;
}

.badge-warning {
  background: transparent !important;
  border: 2px solid var(--danger-color);
  color: var(--main-dark-color1) !important;
  border-radius: 3px;
}

.badge-success {
  background: transparent !important;
  border: 2px solid var(--success-color);
  color: var(--main-dark-color1) !important;
  border-radius: 3px;
}

.badge-info {
  background: transparent !important;
  border: 2px solid var(--main-gradient-end-color);
  color: var(--main-dark-color1) !important;
  border-radius: 3px;
}

.badge-black-border {
  background: transparent !important;
  border: 2px solid var(--main-dark-color1);
  color: var(--main-dark-color1) !important;
  border-radius: 3px;
}

.secondary-button {
  background-color: var(--seconday-button-color) !important;
  color: var(--main-dark-color1) !important;
  /* border: 1px solid var(--main-dark-color1) !important; */
  cursor: pointer;
}

.secondary-button:hover {
  color: white !important;
  cursor: pointer;
}

.btn-outline-dark,
.tertiary-button {
  border-color: var(--main-dark-color1) !important;
  color: var(--main-dark-color1) !important;
  cursor: pointer;
  background-color: var(--main-light-color) !important;
}

.multiline {
  white-space: pre-wrap;
}

.btn-float {
  min-width: 3.58rem !important;
  width: 3.58rem !important;
  height: 3.54rem !important;
  background: white;
}

.btn-float > i + span {
  padding-top: 3px !important;
}

.middle-button {
  margin-top: 0.1rem !important;
  margin-bottom: 0.15rem !important;
}

.btn-float:hover {
  background-color: var(--seconday-button-color) !important;
  cursor: pointer;
}

.first {
  background: white;
  border: 1px solid #d8d8d8;
  border-radius: 2px;
  color: var(--main-dark-color1);
  width: 3.8rem !important;
  height: 3.77rem !important;
}

.middle {
  background: white;
  border: 1px solid #d8d8d8;
  border-radius: 2px;
  color: var(--main-dark-color1);
  width: 3.8rem !important;
  height: auto;
  margin: 0;
  display: flex;
  flex-direction: column;
  padding-bottom: 0;
  padding-top: 0;
  justify-content: center;
  z-index: 10;
  margin-bottom: 0.29rem;
}

.first button,
.middle button,
.last button {
  font-weight: 400 !important;
  color: var(--main-dark-color1);
  background: white;
}

.first span,
.middle span,
.last span {
  margin: auto !important;
  font-size: 0.69rem !important;
  font-weight: 400 !important;
  color: var(--main-dark-color1);
}

.last {
  background: white;
  border: 1px solid #d8d8d8;
  border-radius: 2px;
  color: var(--main-dark-color1);
  width: 3.8rem !important;
  height: 3.77rem !important;
  z-index: 1000;
}

.modal-dialog.wide {
  max-width: 70%;
}

.modal-dialog.wide .modal-content {
  min-height: 60vh;
}

.numberCircle {
  border-radius: 50%;
  width: 18px !important;
  height: 18px !important;
  background: #19bfd3;
  color: white;
  text-align: center;
}

.unread {
  /* background: #def2f5 !important; */
  border-left: 4px solid #5abcd0 !important;
}

.unread-dot {
  background: #5abcd0 !important;
  border: none !important;
}

.gray-bg {
  background-color: #e2e2e2;
}

.gray-color {
  color: #e2e2e2;
}

a {
  cursor: pointer !important;
}

.grad-green {
  color: var(--success-color);
}

.description-btn {
  background-color: transparent !important;
  border: none !important;
}

.border-gray1 {
  border: 1px solid lightgray !important;
}

.border-gray2 {
  border: 2px solid lightgray !important;
}

.ng-dropdown-panel .ng-dropdown-panel-items .ng-option {
  white-space: normal !important;
  background-color: white !important;
  color: var(--main-dark-color1) !important;
}
.ng-select-container {
  min-height: 2rem !important;
  height: 2rem !important;
  width: 100% !important;
  border: 1px solid #babfc7 !important;
  color: var(--main-dark-color1) !important;
}

.ng-select {
  width: 100% !important;
  height: 100% !important;
  border: none !important;
  background-color: transparent !important;
  color: var(--main-dark-color1) !important;
}

.ng-value-container {
  height: 28px !important;
  min-height: 28px !important;
  padding: 0 !important;
  flex-wrap: nowrap !important;
  color: var(--main-dark-color1) !important;
}

.ng-value1 {
  background-color: white !important;
  width: 70% !important;
  white-space: nowrap !important;
  overflow: hidden !important;
  text-overflow: ellipsis !important;
  color: var(--main-dark-color1) !important;
  padding-left: 0.5rem !important;
}

.ng-value1 .ng-value-label1 {
  color: var(--main-dark-color1) !important;
  width: 30% !important;
}

.border-r {
  border-right: 2px solid lightgray !important;
}
.border-l {
  border-left: 2px solid lightgray !important;
}

.border-b {
  border-bottom: 2px solid lightgray !important;
}

.thin-border-b {
  border-bottom: 1px solid lightgray !important;
}
.thin-border-t {
  border-top: 1px solid lightgray !important;
}

.thin-border-l {
  border-left: 1px solid lightgray !important;
}
.thin-border-r {
  border-right: 1px solid lightgray !important;
}

.thin-border {
  border: 1px solid lightgray !important;
}

.border-t {
  border-top: 2px solid lightgray !important;
}

.text-color-dark {
  color: var(--main-dark-color1) !important;
}

.bg-dark {
  background-color: var(--main-dark-color1) !important;
}

.bg-light {
  background-color: var(--complementary-color1) !important;
}

.bg-gray {
  background-color: var(--gray);
}

.bg-light-gray {
  background-color: var(--light-gray) !important;
}

.border-primary {
  border-color: var(--purple) !important;
}

.border-danger {
  background-color: var(--warning-color) !important;
}

.border-success {
  border-color: var(--success-color) !important;
}

.border-info {
  border-color: var(--info-color) !important;
}

.open-bx {
  background-color: var(--gray);
  border-radius: 0.25rem;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  max-height: 65px;
  margin-top: 1rem;
  margin-bottom: 1rem;
  min-width: 350px !important;
  max-width: 350px !important;
}
.open-bx--wide {
  max-width: 600px !important;
  min-width: 600px !important;
}

.w100 {
  box-sizing: border-box !important;
  width: 100%;
  padding: 0.5rem;
}

.box-border {
  box-sizing: border-box;
}

.underline {
  text-decoration: underline !important;
}

.progress-bar {
  background-color: var(--main-gradient-end-color) !important;
}

.icon-circle-lg {
  background-color: var(--gray) !important;
  color: white;
  border-radius: 50%;
  height: 4rem;
  width: 4rem;
  display: flex;
  align-items: center;
  justify-content: center;
  border: lightgray !important;
  transition: 0.4s ease;
}

.icon-circle-md {
  background-color: var(--gray) !important;
  color: white;
  border-radius: 50%;
  height: 2.5rem;
  width: 2.5rem;
  display: flex;
  align-items: center;
  justify-content: center;
  border: lightgray !important;
  transition: 0.4s ease;
}

input[type="date"].form-control {
  width: 10rem !important;
}

.dark-text {
  color: var(--main-dark-color1) !important;
}

.mh-300 {
  max-height: 300px;
  overflow-y: auto;
  overflow-x: hidden;
}

bs-dropdown-container {
  z-index: 1050 !important;
}

.accordion-toggle:after {
  font-size: 0.8rem;
  font-family: "Line Awesome Free";
  font-weight: 900;
  content: "\f106" !important;
  padding: 0 2px 0 6px;
}

.accordion-toggle.collapsed:after {
  content: "\f107" !important;
}

.p-relative {
  position: relative;
}

.sticky-header {
  position: sticky;
  top: 0;
  z-index: 100;
  background-color: white;
}

/* Sidebar profile */
.sidebar-conf {
  width: 5.5rem;
  background-color: var(--main-dark-color1);
  color: var(--main-light-color);
}
.circle-header {
  height: 37px;
  width: 37px;
  margin: auto !important;
  border-radius: 50%;
  background-color: var(--background-light-color);
  color: var(--main-dark-color1);
}

.bg--dark {
  background-color: var(--background-dark-color);
}

.sidebar-item-icon {
  font-size: 1.6rem !important;
  border: 0.15rem solid white;
  border-radius: 50%;
  padding: 0.5rem;
}

.icon-color {
  color: var(--main-light-color);
}
.icon-size {
  font-size: 1.5rem;
  font-weight: 350;
}
/* Modal (Header) */
.icon-m {
  height: 18px;
  width: 18px;
  background-color: var(--orange);
  border-radius: 50%;
  border: 2px solid white;
}
.icon-conf {
  position: relative;
  left: -2px;
  top: -1px;
  font-size: 1.5rem;
  background-color: transparent;
  border-radius: 50%;
}

.icon-circle {
  background-color: var(--main-dark-color1) !important;
  color: var(--main-light-color);
  border-radius: 50%;
  height: 1.5rem;
  width: 1.5rem;
  display: flex;
  align-items: center;
  justify-content: center;
  border: lightgray !important;
  transition: 0.4s ease;
}

.icon-circle.circle-pink {
  background-color: var(--main-contrast-color) !important;
}

.icon-circle.circle-orange {
  background-color: var(--orange) !important;
}

.icon-circle.circle-info {
  background-color: var(--main-gradient-end-color) !important;
}

.icon-circle.circle-green {
  background-color: var(--success-color) !important;
}

.size-15 {
  font-size: 1.5rem !important;
}

.scroll-y {
  overflow-y: auto !important;
  overflow-x: hidden !important;
}

.scroll-x {
  overflow-x: auto !important;
  overflow-y: hidden !important;
}

.scroll {
  overflow: auto !important;
}

.active-accordion {
  border: 3px solid var(--blue-color) !important;
}

.accordion-icon-rotate i.icon {
  font-family: "Line Awesome Free";
  font-weight: 900;
  color: black;
  font-style: normal;
}

.accordion-icon-rotate i.icon:after {
  content: "\f106";
}

.accordion-icon-rotate .collapsed i.icon:after {
  content: "\f107";
}

.accordion-icon-rotate.collapsed i.icon:after {
  content: "\f107";
}

i.collapsed.icon:after {
  content: "\f107";
}

.bg-blue {
  background-color: #024ea5 !important;
}

.blue {
  color: #024ea5 !important;
}

.bg-light-blue {
  background-color: var(--light-blue-color) !important;
}

.bg-pink {
  background-color: var(--main-contrast-color) !important;
}

.selected,
.selected-row {
  background-color: var(--background-highlight-color) !important;
}

.selected-row:hover {
  background-color: var(--background-highlight-color) !important;
}

.hoverColor:hover {
  background-color: var(--background-highlight-color) !important;
}

.cursor-arrow {
  cursor: default !important;
}

h1:hover:not(.cursor),
h2:hover:not(.cursor),
h3:hover:not(.cursor),
h4:hover:not(.cursor),
h5:hover:not(.cursor),
h6:hover:not(.cursor) {
  cursor: default !important;
}

a:hover {
  cursor: pointer !important;
}

a > *:hover {
  cursor: pointer !important;
}

/* New */

i {
  text-decoration: none !important;
}
h3 {
  font-size: 1.5rem !important;
}

.cursor-pointer {
  cursor: pointer;
}

.font-small-3 {
  font-size: 0.9rem !important;
}

/* Custom modal-content */

.custom-content {
  border: 1px solid rgba(0, 0, 0, 0.2);
  border-radius: 0.35rem;
  background-color: #fff;
}
/* Login Page */
.flexbox-container {
  display: flex;
  align-items: center;
  min-height: calc(100vh - 3.2rem);
}
.icon-circle-dark {
  background-color: var(--main-dark-color1) !important;
  color: white;
  border-radius: 50%;
  height: 2rem;
  width: 2rem;
  display: flex;
  align-items: center;
  justify-content: center;
}

.icon-circle-pink {
  background-color: var(--main-contrast-color) !important;
  color: white;
  border-radius: 50%;
  height: 1.5rem;
  width: 1.5rem;
  display: flex;
  align-items: center;
  justify-content: center;
}

.icon-circle-pink-lg {
  background-color: var(--main-contrast-color) !important;
  color: white;
  border-radius: 50%;
  height: 2em;
  width: 2rem;
  display: flex;
  align-items: center;
  justify-content: center;
}
.cursor-arrow {
  cursor: default !important;
}

/* removing all the blue underline from texts */

a {
  text-decoration: none !important;
  color: var(--main-dark-color1) !important;
}
/* Temporary styles */

.bullet.bullet-white {
  background-color: #ffffff;
}
.bullet.bullet-black {
  background-color: #000000;
}
.bullet.bullet-primary {
  background-color: #666ee8;
}
.bullet.bullet-secondary {
  background-color: #6b6f82;
}
.bullet.bullet-success {
  background-color: #28d094;
}
.bullet.bullet-info {
  background-color: #1e9ff2;
}
.bullet.bullet-warning {
  background-color: #ff9149;
}
.bullet.bullet-danger {
  background-color: #ff4961;
}
.bullet.bullet-light {
  background-color: #e0e0e0;
}
.bullet.bullet-dark {
  background-color: #424242;
}
.bullet.bullet-red {
  background-color: #f44336;
}
.bullet.bullet-pink {
  background-color: #e91e63;
}
.bullet.bullet-purple {
  background-color: #9c27b0;
}
.bullet.bullet-blue {
  background-color: #2196f3;
}
.bullet.bullet-cyan {
  background-color: #00bcd4;
}

.nav-link {
  border: 0 !important;
}

.btn-hover:hover > i {
  background-color: black;
  cursor: pointer;
}

.dropdown-item.active,
.dropdown-item:active {
  background-color: var(--background-highlight-color) !important;
}

.modal-dialog {
  display: flex !important;
  flex-direction: column;
  justify-content: center !important;
  overflow-y: auto !important;
  overflow-x: hidden !important;
  min-height: calc(100vh - 60px) !important;
}

@media screen and (max-width: 1200px) {
  .make-column {
    display: flex !important;
    flex-direction: column !important;
  }

  .col-large {
    flex: 0 0 !important;
    width: 100% !important;
  }
}

.btn-pink {
  background-color: var(--main-contrast-color) !important;
  color: var(--main-light-color) !important;
}

.la-info-circle::after {
  content: none !important;
}

.remove-arrow-drpdown::after {
  content: none !important;
}

.cursor {
  cursor: pointer !important;
}

.truncate,
.text-truncate {
  white-space: nowrap !important;
  overflow: hidden !important;
  text-overflow: ellipsis !important;
  max-width: 100% !important; /* Ensure it respects its container's width */
  min-width: 0 !important;
}

/* .modal-content {
  display: contents !important;
} */

.hidden {
  display: none;
}

.dark-text {
  color: var(--main-dark-color1) !important;
}

bs-dropdown-container {
  z-index: 5000 !important;
}

.bg-env {
  background-color: rgb(109, 196, 155) !important;
  opacity: 0.7;
}

.bg-gov {
  background-color: rgb(152, 95, 245);
  opacity: 0.7;
}

.bg-soc {
  background-color: rgb(242, 146, 29);
  opacity: 0.7;
}

.bg-eco {
  background-color: rgb(25, 191, 211);
  opacity: 0.7;
}

.btn-pink:hover {
  background-color: var(--main-contrast-color) !important;
  color: white !important;
}

.warning {
  color: var(--warning-color) !important;
}

.danger {
  color: var(--danger-color) !important;
}

.success {
  color: var(--success-color) !important;
}

.info-icon::after {
  content: none !important;
}

.bold {
  font-weight: 600 !important;
}

.bg-selected {
  background-color: var(--background-highlight-color) !important;
}

.btn-hover {
  transition: transform 0.3s;
}
.btn-hover:hover {
  border: 2px solid var(--main-contrast-color) !important;
  cursor: pointer !important;
  transform: scale(1.1) !important;
}

.btn-hover:hover > i {
  color: var(--main-contrast-color) !important;
  cursor: pointer !important;
  transform: scale(1.1) !important;
}
.modal-header {
  padding: 0rem 1rem !important;
}

.bg-linear-gradient {
  background: linear-gradient(90deg, var(--main-gradient-start-color), var(--main-gradient-end-color)) !important;
}

/* Step Wizard */
.stepper {
  height: 1rem;
  width: 1rem;
  margin: 0 2px;
  background-color: #bbbbbb;
  border: none;
  border-radius: 50%;
  display: inline-block;
  opacity: 0.5;
  margin-right: 0.2rem !important;
}

.stepper.active-stepper {
  background-color: var(--success-color) !important;
}
@media (max-width: 575.99px) {
  .custom-button {
    min-width: 100px !important;
  }
}
.bg-deadline {
  background-color: #ffd6d5 !important;
}

.bg-mainGradient {
  background: var(--main-gradient-start-color) !important;
}

.bg-cyan {
  background: var(--main-gradient-end-color) !important;
}

.bg-complementary {
  background-color: var(--complementary-color3) !important;
}

.bg-light-main {
  background-color: #f4f5fa !important;
}

.hide {
  display: none !important;
}

.show {
  display: block !important;
}

.light-blue {
  color: var(--light-blue) !important;
}

.light-purple {
  color: var(--light-purple) !important;
}

.light-purple-bg {
  background-color: var(--light-purple) !important;
}

.gradient-end {
  color: var(--main-gradient-end-color) !important;
}

.pink {
  color: var(--main-contrast-color) !important;
}

.d-inline {
  display: inline !important;
}

.color-warning {
  color: var(--warning-color);
}

.color-orange {
  color: var(--orange);
}

.h-90 {
  height: 90%;
}

.h-80 {
  height: 80%;
}

.br-5 {
  border-radius: 5px;
}

.float-inline-end {
  float: inline-end;
}

.connectedActionBtn {
  max-width: 15rem;
  background-color: var(--complementary-color1);
  border: 2px solid var(--gray);
}

.newTag {
  border: 1px solid var(--gray);
  border-radius: 5px;
  display: inline-block;
  text-align: center;
  padding: 0px 5px;
  margin: 0px 5px;
  background-color: var(--main-contrast-color) !important;
  color: white;
  font-weight: bold;
  font-size: 10px;
}

#filter-dropdown-menu {
  position: absolute;
  z-index: 2;
  background-color: white;
  border: 1px solid lightgray !important;
  width: 40rem !important;
  max-height: 40rem;
  box-shadow: 1px 1px 3px #bbbbbb, -1px 0 3px #bbbbbb;
}

.modal-extra-extra-wide {
  max-width: 80% !important;
}

@media (max-width: 767px) {
  .modal-extra-extra-wide {
    margin: 0 auto;
  }
}

.green-border {
  border: 2px solid var(--main-gradient-start-color);
}

.bg-comp-grey {
  background-color: var(--complementary-color1) !important;
}

.no-border {
  border: none;
}

.bg-green {
  background-color: var(--green) !important;
}

.bg-light-pink {
  background-color: var(--main-contrast-color-light) !important;
}

.bg-light-yellow {
  background-color: var(--light-yellow-color) !important;
}

.italic {
  font-style: italic !important;
}

.success-text {
  color: var(--success-color) !important;
}

.green-border-b {
  border-bottom: 2px solid var(--main-gradient-start-color);
  padding-bottom: 0.5rem;
  margin-bottom: 1rem;
}

.yellow-border-b {
  border-bottom: 2px solid #f2e416;
  padding-bottom: 0.5rem;
  margin-bottom: 1rem;
}

.purple-border-b {
  border-bottom: 2px solid #9061ec;
  padding-bottom: 0.5rem;
  margin-bottom: 1rem;
}

.pink-border-b {
  border-bottom: 2px solid #f25cbe;
  padding-bottom: 0.5rem;
  margin-bottom: 1rem;
}

.blue-border-b {
  border-bottom: 2px solid #2d9bf0;
  padding-bottom: 0.5rem;
  margin-bottom: 1rem;
}

.gray-border-b {
  border-bottom: 2px solid #9799a5;
  padding-bottom: 0.5rem;
  margin-bottom: 1rem;
}

.green-border-b-lg {
  border-bottom: 4px solid var(--main-gradient-start-color);
  padding-bottom: 0.5rem;
  margin-bottom: 1rem;
}

.yellow-border-b-lg {
  border-bottom: 4px solid #f2e416;
  padding-bottom: 0.5rem;
  margin-bottom: 1rem;
}

.purple-border-b-lg {
  border-bottom: 4px solid #9061ec;
  padding-bottom: 0.5rem;
  margin-bottom: 1rem;
}

.pink-border-b-lg {
  border-bottom: 4px solid #f25cbe;
  padding-bottom: 0.5rem;
  margin-bottom: 1rem;
}

.blue-border-b-lg {
  border-bottom: 4px solid #2d9bf0;
  padding-bottom: 0.5rem;
  margin-bottom: 1rem;
}

.gray-border-b-lg {
  border-bottom: 4px solid #9799a5;
  padding-bottom: 0.5rem;
  margin-bottom: 1rem;
}

.green-border-l {
  border-left: 4px solid var(--main-gradient-start-color);
  border-top-left-radius: 0 !important;
  border-bottom-left-radius: 0 !important;
}

.teal-border-l {
  border-left: 4px solid var(--main-gradient-end-color);
  border-top-left-radius: 0 !important;
  border-bottom-left-radius: 0 !important;
}

.blue-border-l {
  border-left: 4px solid #2d9bf0;
  border-top-left-radius: 0 !important;
  border-bottom-left-radius: 0 !important;
}

.pink-border-l {
  border-left: 4px solid var(--main-contrast-color);
  border-top-left-radius: 0 !important;
  border-bottom-left-radius: 0 !important;
}

.gray-border-l {
  border-left: 4px solid #9799a5;
  border-top-left-radius: 0 !important;
  border-bottom-left-radius: 0 !important;
}

.eu-logo {
  position: relative;
  width: 200px;
  height: 200px;
  margin: 0px auto;
  background-color: transparent !important;
  display: flex;
  align-items: center;
  justify-content: center;
}

.star {
  --rotate: 0deg;
  position: absolute;
  width: 20px;
  height: 20px;
  background-color: var(--main-gradient-start-color);
  clip-path: polygon(50% 0%, 61% 35%, 98% 35%, 68% 57%, 79% 91%, 50% 70%, 21% 91%, 32% 57%, 2% 35%, 39% 35%);
  top: 50%;
  left: 50%;
  margin: 0px 0 0 0px;
  transform: translate(-50%, -50%) rotate(var(--rotate)) translate(80px);
}

.star:nth-of-type(1) {
  --rotate: 30deg;
}
.star:nth-of-type(2) {
  --rotate: 60deg;
}
.star:nth-of-type(3) {
  --rotate: 90deg;
}
.star:nth-of-type(4) {
  --rotate: 120deg;
}
.star:nth-of-type(5) {
  --rotate: 150deg;
}
.star:nth-of-type(6) {
  --rotate: 180deg;
}
.star:nth-of-type(7) {
  --rotate: 210deg;
}
.star:nth-of-type(8) {
  --rotate: 240deg;
}
.star:nth-of-type(9) {
  --rotate: 270deg;
}
.star:nth-of-type(10) {
  --rotate: 300deg;
}
.star:nth-of-type(11) {
  --rotate: 330deg;
}
.star:nth-of-type(12) {
  --rotate: 360deg;
}

#eu {
  color: var(--main-gradient-start-color) !important;
  position: relative;
}

.eu-logo-sm {
  position: relative;
  width: 0px; /* Adjusted width */
  height: 0px; /* Adjusted height */
  margin: 0 auto;
  background-color: transparent !important;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 18px; /* This controls the text size */
}

.star-sm {
  --rotate: 0deg;
  position: absolute;
  width: 5px; /* Suitable size for stars within 60px logo */
  height: 5px; /* Suitable size for stars within 60px logo */
  background-color: var(--main-gradient-start-color);
  clip-path: polygon(50% 0%, 61% 35%, 98% 35%, 68% 57%, 79% 91%, 50% 70%, 21% 91%, 32% 57%, 2% 35%, 39% 35%);
  top: 50%;
  left: 50%;
  margin: 0;
  transform: translate(-50%, -50%) rotate(var(--rotate)) translate(20px); /* Adjusted distance */
}

/* Rotate each star appropriately around the center */
.star-sm:nth-of-type(1) {
  --rotate: 30deg;
}
.star-sm:nth-of-type(2) {
  --rotate: 60deg;
}
.star-sm:nth-of-type(3) {
  --rotate: 90deg;
}
.star-sm:nth-of-type(4) {
  --rotate: 120deg;
}
.star-sm:nth-of-type(5) {
  --rotate: 150deg;
}
.star-sm:nth-of-type(6) {
  --rotate: 180deg;
}
.star-sm:nth-of-type(7) {
  --rotate: 210deg;
}
.star-sm:nth-of-type(8) {
  --rotate: 240deg;
}
.star-sm:nth-of-type(9) {
  --rotate: 270deg;
}
.star-sm:nth-of-type(10) {
  --rotate: 300deg;
}
.star-sm:nth-of-type(11) {
  --rotate: 330deg;
}
.star-sm:nth-of-type(12) {
  --rotate: 360deg;
}

#eu-sm {
  color: var(--main-gradient-start-color) !important;
  position: relative;
  font-size: 12px !important;
}

.bg-light-blue-sl {
  background-color: #e2efff !important;
}

.light-purple-border {
  border: 2px solid var(--light-purple) !important;
  border-radius: 5px;
}

.bg-highlight {
  background-color: var(--background-highlight-color) !important;
}

.pink-border {
  border: 2px solid var(--main-contrast-color) !important;
  border-radius: 5px;
}

.text-tufts-blue {
  color: var(--tufts-blue) !important;
}

.efrag-id-tufts {
  min-width: 8rem;
  font-weight: 430;
}

.efrag-menu-fix {
  @extend .px-3;
  min-width: 12rem;
  max-width: 20rem;
  white-space: normal;
  word-break: break-word;
  right: 0;
  left: auto !important;
}